CMInterfacePanel = { } ;
function CMInterfacePanel:new(o)
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	return o
end
function CMInterfacePanel:init(cm, config)
	self.cm = cm
	self.cmConfig = config

	self.colPadding = 20
	self.rowSize = 25

	self.panel = CreateFrame("Frame", "ChartMeInterfacePanel", UIParent)
	self.panel.name = "ChartMe!"
	self.configInterface = {}
	local row = 1


	local headingFrame = CreateFrame("Frame", "HeadingFrame", self.panel)
	headingFrame:ClearAllPoints()
	headingFrame:SetPoint("TOPLEFT", self.colPadding, self.rowSize*row)
	headingFrame.text = self.panel:CreateFontString("HeadingText", "ARTWORK", "PVPInfoTextFont")
	headingFrame.text:SetAllPoints();
	headingFrame.text:SetPoint("TOPLEFT", 0, -10)
	headingFrame.text:SetText("ChartMe! Settings")
	headingFrame.text:SetJustifyH("CENTER")
	headingFrame.text:SetJustifyV("TOP")
	row = row + 1

	for measure, measureConfig in pairs(self.cmConfig.measure) do
		--print(measure .. " " .. measureConfig.title)
		local f = CreateFrame("CheckButton", "displayMeasures"..measure, self.panel, "UICheckButtonTemplate")
		f.measure = measure
		f:ClearAllPoints()
		f:SetPoint("TOPLEFT", 25, row*-25)
		_G[f:GetName() .. "Text"]:SetText(measureConfig.title)
		if ChartMeAddon.inTable(measure, self.cmConfig.displayMeasures) then
			f:SetChecked(true)
		end
		self.configInterface["displayMeasure"..measure] = f
		row = row + 1

	end
	InterfaceOptions_AddCategory(self.panel)
	local me = self
	self.panel.okay = function (self) me:save() end 
end

function CMInterfacePanel:save()
	local dm = {}
	
	for l, f in pairs(self.configInterface) do
		if f:GetChecked() then
			table.insert(dm, f.measure);
		end
	end
	self.cmConfig.displayMeasures = dm
	self.cm:redrawGraphFrames()
end

function CMInterfacePanel:forceOpen()
	InterfaceOptionsFrame_OpenToCategory(self.panel)
end